Subject: Re: [RFC][PATCH 2/2] worktree: stop passing NULL as primary worktree

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Feb 2026 21:21:09 -0800

Phillip Wood <[email-masked]> writes:

> It might be worth adding the current worktree (or probably the worktree 
> that the struct repository refers to) to struct repository in the future 
> but I think that is outside the scope of cleaning up wt-status.c

Thanks for being conservative.  I would agree that we would need
further thought before making such a change, and if we do not need
it if we have "give me the current worktree struct" call to clean up
the wt-status.c where passing NULL to indicate the "current" is
problematic.